# $Revision: 1.32 $, $Date: 2006/06/21 19:31:45 $
# NOTE
# according to EULA we *can* store the .exe's in distfiles in
# unaltered form (that is those .exe files), while can't distribute
# resulting rpm.
#
# Conditional build:
%bcond_with	license_agreement	# generates package
#
%define		base_name	fonts-TTF-microsoft
Summary:	Microsoft True Type fonts
Summary(pl):	Fonty True Type firmy Microsoft
%if %{with license_agreement}
Name:		%{base_name}
%else
Name:		%{base_name}-installer
%endif
%define		_rel	8
Version:	20020525
Release:	%{_rel}%{?with_license_agreement:wla}
License:	Microsoft EULA (for non-commercial use)
Group:		Fonts
%if %{with license_agreement}
Source0:	http://dl.sourceforge.net/corefonts/andale32.exe
# Source0-md5:	cbdc2fdd7d2ed0832795e86a8b9ee19a
Source1:	http://dl.sourceforge.net/corefonts/arial32.exe
# Source1-md5:	9637df0e91703179f0723ec095a36cb5
Source2:	http://dl.sourceforge.net/corefonts/arialb32.exe
# Source2-md5:	c9089ae0c3b3d0d8c4b0a95979bb9ff0
Source3:	http://dl.sourceforge.net/corefonts/comic32.exe
# Source3-md5:	2b30de40bb5e803a0452c7715fc835d1
Source4:	http://dl.sourceforge.net/corefonts/courie32.exe
# Source4-md5:	4e412c772294403ab62fb2d247d85c60
Source5:	http://dl.sourceforge.net/corefonts/georgi32.exe
# Source5-md5:	4d90016026e2da447593b41a8d8fa8bd
Source6:	http://dl.sourceforge.net/corefonts/impact32.exe
# Source6-md5:	7907c7dd6684e9bade91cff82683d9d7
Source7:	http://dl.sourceforge.net/corefonts/times32.exe
# Source7-md5:	ed39c8ef91b9fb80f76f702568291bd5
Source8:	http://dl.sourceforge.net/corefonts/trebuc32.exe
# Source8-md5:	0d7ea16cac6261f8513a061fbfcdb2b5
Source9:	http://dl.sourceforge.net/corefonts/verdan32.exe
# Source9-md5:	12d2a75f8156e10607be1eaa8e8ef120
Source10:	http://dl.sourceforge.net/corefonts/webdin32.exe
# Source10-md5:	230a1d13a365b22815f502eb24d9149b
%else
Source21:	license-installer.sh
# extracted from one of the above
Source20:	Microsoft-EULA.txt
%endif
URL:		http://corefonts.sourceforge.net/
%if %{with license_agreement}
BuildRequires:	cabextract
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/TTF
Requires:	fontpostinst
%else
Requires:	cabextract
Requires:	mktemp > 1.5-18
Requires:	rpm-build-tools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		ttffontsdir	%{_fontsdir}/TTF

%description
Microsoft free True Type fonts collection.

%description -l pl
Kolekcja darmowych fontw True Type firmy Microsoft.

%prep
%if %{with license_agreement}
%setup -q -c -T
%{_bindir}/cabextract -L %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} \
%{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9} \
%{SOURCE10}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{without license_agreement}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{base_name}}

sed -e '
	s/@BASE_NAME@/%{base_name}/g
	s/@TARGET_CPU@/%{_target_cpu}/g
	s-@VERSION@-%{version}-g
	s-@RELEASE@-%{release}-g
	s,@SPECFILE@,%{_datadir}/%{base_name}/%{base_name}.spec,g
	s,@LICENSE@,%{_datadir}/%{base_name}/Microsoft-EULA.txt,
' %{SOURCE21} > $RPM_BUILD_ROOT%{_bindir}/%{base_name}.install

install %{_specdir}/%{base_name}.spec $RPM_BUILD_ROOT%{_datadir}/%{base_name}
install %{SOURCE20} $RPM_BUILD_ROOT%{_datadir}/%{base_name}

%else
install -d $RPM_BUILD_ROOT%{ttffontsdir}
install *.ttf $RPM_BUILD_ROOT%{ttffontsdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with license_agreement}
%post
fontpostinst TTF

%postun
fontpostinst TTF

%else
%post
echo "
If you accept the license enclosed in the file
%{_datadir}/%{base_name}/Microsoft-EULA.txt
and want to install real fonts, then rebuild the package with the
following command:

%{_bindir}/%{base_name}.install --with license_agreement %{_datadir}/%{base_name}/%{base_name}.spec
"
%endif

%files
%defattr(644,root,root,755)
%if %{with license_agreement}
%doc licen.txt
%{ttffontsdir}/*
%else
%attr(755,root,root) %{_bindir}/%{base_name}.install
%{_datadir}/%{base_name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fonts-TTF-microsoft.spec,v $
Revision 1.32  2006/06/21 19:31:45  glen
- pure requires on fontpostinst

Revision 1.31  2006/04/22 18:36:06  glen
- updated installer script, rel 7

Revision 1.30  2006/04/22 18:12:40  glen
- don't confuse distfiles with duplicate source0

Revision 1.29  2006/04/22 18:10:31  glen
- wget required by rpm-build-tools
- store files in distfiles as EULA allows it
- cleanups

Revision 1.28  2006/01/02 11:01:33  glen
- run script in %post

Revision 1.27  2005/08/28 15:30:39  glen
- rel 6

Revision 1.26  2005/08/28 15:30:21  glen
- use shared license-installer.sh script from SOURCES

Revision 1.25  2005/08/28 15:08:05  glen
- removed ftp url from %description, because
  1) it's pointing to inexistent src.rpm in RPMS dir,
  2) the -installer .src.rpm doesn't contain sourceX-s inside anyway

Revision 1.24  2005/08/28 14:53:01  glen
- use without macro

Revision 1.23  2005/07/22 09:18:37  deejay1
- rel up to 5

Revision 1.22  2004/12/08 05:47:33  roman
- added R: cabextract to the case of building without license
  agreement (rationale: cabextract will be needed to get the fonts
  anyway, which is the only possible use of the package)

Revision 1.21  2004/11/17 06:14:48  ankry
- message fixes

Revision 1.20  2004/11/17 05:36:51  ankry
- use w32codec instalation mechanism

Revision 1.19  2004/10/07 15:16:53  qboosh
- working URL

Revision 1.18  2004/10/01 19:21:39  adamg
- new style bconds

Revision 1.17  2004/02/29 15:59:37  undefine
- rpm -> rpmbuild

Revision 1.16  2003/11/11 20:01:12  ankry
- NoSource-md5

Revision 1.15  2003/11/11 01:42:27  ankry
- caps unification, other cosmetics

Revision 1.14  2003/06/23 10:55:51  wrobell
- s#X11/Fonts#Fonts#

Revision 1.13  2003/06/21 15:18:58  wrobell
- s/Licen.TXT/licen.txt/g

Revision 1.12  2003/06/21 15:09:04  wrobell
- freebsd.org links are out of date, switch to corefonts.sf.net
- extract filenames into lowercase

Revision 1.11  2003/06/21 15:01:16  gotar
- switched post/postun to fontpostinst
- packages require directory in which they have fonts
- don't generate fonts.scale (they're not Type1 fonts)
- fixed summaries and descriptions
- release 4

Revision 1.10  2003/05/28 12:58:56  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:47:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/20 21:33:49  qboosh
- use tr (fileutils) instead of sed, updated Requires()

Revision 1.7  2003/01/18 22:48:33  juandon
- removed two lines with define

Revision 1.6  2002/11/27 23:54:55  ankry
- make spec non-interactive; release 3

Revision 1.5  2002/11/27 19:36:46  juandon
- new %doc

Revision 1.4  2002/09/11 16:19:30  adgor
- Updated source URLs
- Cosmetics

Revision 1.3  2002/06/16 20:44:57  adgor
- LICEN.TXT added to %doc
- Release 2

Revision 1.2  2002/05/28 11:26:15  adgor
- corrected polish description
- added english description
- cosmetics

Revision 1.1  2002/05/25 14:24:09  michuz
- initial release
- changed version to 20020525
- created by Adam Gorzkiewicz
